RW Struct Reference

Rabin-Williams keys. More...

`#include <rw.h>`

Inheritance diagram for RW:

## Public Types

typedef RWFunction | PublicKey
typedef InvertibleRWFunction | PrivateKey

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

Rabin-Williams keys.

Since
  Crypto++ 3.0

Definition at line 128 of file rw.h.

## Member Typedef Documentation

## PublicKey

typedef RWFunction RW::PublicKey

Definition at line 131 of file rw.h.

## PrivateKey

typedef InvertibleRWFunction RW::PrivateKey

Definition at line 132 of file rw.h.

## Member Function Documentation

## StaticAlgorithmName()

static const char * RW::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 130 of file rw.h.

The documentation for this struct was generated from the following file:

- rw.h